Gets the list of consumed coupons
Lists all coupons consumed by the given users for the current offer coupon.
GET
/
connectors
/
consumers
/
{consumer_id}
/
offers
/
{offer_id}
/
coupons
Gets the list of consumed coupons
curl --request GET \
--url https://api.sandbox.paylead.tech/connectors/consumers/{consumer_id}/offers/{offer_id}/coupons \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.sandbox.paylead.tech/connectors/consumers/{consumer_id}/offers/{offer_id}/coupons"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sandbox.paylead.tech/connectors/consumers/{consumer_id}/offers/{offer_id}/coupons', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"consumed_at": "2023-11-07T05:31:56Z",
"url": "<string>"
}
]Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The id you used to create the given consumer
Unique ID of the offer on PayLead system.
Was this page helpful?
Previous
Retrieves the code associated with the consumed coupon.
Retrieves the QR/BarCode or alphanumeric code associated to the consumed coupon.
Next
⌘I
Gets the list of consumed coupons
